Package com.io7m.waxmill.machines

# Class WXMVMNetDeviceName

java.lang.Object
com.io7m.waxmill.machines.WXMVMNetDeviceName

All Implemented Interfaces:
  `WXMVMNetDeviceNameType`

    public final class WXMVMNetDeviceName
    extends java.lang.Object
    implements WXMVMNetDeviceNameType

A VMNet device name, such as `vmnet23`.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `WXMVMNetDeviceName.Builder` | Builds instances of type `WXMVMNetDeviceName`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMVMNetDeviceName.Builder` | `builder()` | Creates a builder for `WXMVMNetDeviceName`.
  `static WXMVMNetDeviceName` | `copyOf​(WXMVMNetDeviceNameType instance)` | Creates an immutable copy of a `WXMVMNetDeviceNameType` value.
  `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `WXMVMNetDeviceName` that have equal attribute values.
  `int` | `hashCode()` | Computes a hash code from attributes: `value`.
  `static WXMVMNetDeviceName` | `of​(java.lang.String value)` | Construct a new immutable `WXMVMNetDeviceName` instance.
  `java.lang.String` | `toString()` | Prints the immutable value `WXMVMNetDeviceName` with attribute values.
  `java.lang.String` | `value()` |
  `WXMVMNetDeviceName` | `withValue​(java.lang.String value)` | Copy the current immutable object by setting a value for the `value` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMVMNetDeviceNameType

  `checkPreconditions`

- ## Method Details

  - ### value

    public java.lang.String value()
    Specified by:
      `value` in interface `WXMVMNetDeviceNameType`
    Returns:
      The device name

  - ### withValue

    public final WXMVMNetDeviceName withValue​(java.lang.String value)
    Copy the current immutable object by setting a value for the `value` attribute. An equals check used to prevent copying of the same value by returning `this`.
    Parameters:
      `value` - A new value for value
    Returns:
      A modified copy of the `this` object

  - ### equals

    public boolean equals​(java.lang.Object another)
    This instance is equal to all instances of `WXMVMNetDeviceName` that have equal attribute values.
    Overrides:
      `equals` in class `java.lang.Object`
    Returns:
      `true` if `this` is equal to `another` instance

  - ### hashCode

    public int hashCode()
    Computes a hash code from attributes: `value`.
    Overrides:
      `hashCode` in class `java.lang.Object`
    Returns:
      hashCode value

  - ### toString

    public java.lang.String toString()
    Prints the immutable value `WXMVMNetDeviceName` with attribute values.
    Overrides:
      `toString` in class `java.lang.Object`
    Returns:
      A string representation of the value

  - ### of

    public static WXMVMNetDeviceName of​(java.lang.String value)
    Construct a new immutable `WXMVMNetDeviceName` instance.
    Parameters:
      `value` - The value for the `value` attribute
    Returns:
      An immutable WXMVMNetDeviceName instance

  - ### copyOf

    public static WXMVMNetDeviceName copyOf​(WXMVMNetDeviceNameType instance)
    Creates an immutable copy of a `WXMVMNetDeviceNameType` value. Uses accessors to get values to initialize the new immutable instance. If an instance is already immutable, it is returned as is.
    Parameters:
      `instance` - The instance to copy
    Returns:
      A copied immutable WXMVMNetDeviceName instance

  - ### builder

    public static WXMVMNetDeviceName.Builder builder()
    Creates a builder for `WXMVMNetDeviceName`.

         WXMVMNetDeviceName.builder()
            .setValue(String) // required value
            .build();

    Returns:
      A new WXMVMNetDeviceName builder